# Generated by Django 4.1.9 on 2023-11-22 18:36

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("ims_staff", "0009_add_proxy_tables_permanent_temporary_staff"),
    ]

    operations = [
        migrations.CreateModel(
            name="StaffDesignation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("report_date", models.DateField(blank=True, null=True)),
                ("relieve_date", models.DateField(blank=True, null=True)),
                ("is_active", models.BooleanField(default=False)),
                ("is_default", models.BooleanField()),
                ("is_permanent", models.BooleanField()),
                (
                    "created_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="%(app_label)s_%(class)s_created_by",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "designation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="ims_staff.designation",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.DeleteModel(
            name="PermanentStaff",
        ),
        migrations.DeleteModel(
            name="TemporaryStaff",
        ),
        migrations.RemoveField(
            model_name="staff",
            name="designation",
        ),
        migrations.RemoveField(
            model_name="staff",
            name="is_active",
        ),
        migrations.RemoveField(
            model_name="staff",
            name="is_default",
        ),
        migrations.RemoveField(
            model_name="staff",
            name="is_permanent",
        ),
        migrations.RemoveField(
            model_name="staff",
            name="join_date",
        ),
        migrations.AlterField(
            model_name="staff",
            name="user",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.AddField(
            model_name="staffdesignation",
            name="staff",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="ims_staff.staff"
            ),
        ),
        migrations.AddField(
            model_name="staffdesignation",
            name="updated_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="%(app_label)s_%(class)s_updated_by",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.CreateModel(
            name="PermanentStaffDesignation",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("ims_staff.staffdesignation",),
        ),
        migrations.CreateModel(
            name="TemporaryStaffDesignation",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("ims_staff.staffdesignation",),
        ),
    ]
